IfmxConnection
Date: 2015-03-03

com.informix.jdbc

## Interface IfmxConnection

- All Superinterfaces:
    java.lang.AutoCloseable, java.sql.Connection, java.sql.Wrapper

      public interface IfmxConnection
      extends java.sql.Connection

  The IfmxConnection interface contains Informix extensions to the Connection interface.

- - ### Field Summary

    - ### Fields inherited from interface java.sql.Connection

      `TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHDRType()` Get the Server Type information about Informix Server if it is running in High Availability Data Replication (HDR) mode, whether it is running in primary secondary or standard mode
    `boolean` | `getIFX_USEPUT()`
    `int` | `getSQLStatementOffset()` Get the error offset of last executed/prepared SQL statement
    `IfxUDTInfo` | `getUDTInfo(int xid)` Get general information about opaque and distinct types and detailed information for complex types.
    `IfxUDTInfo` | `getUDTInfo(java.lang.String name, java.lang.String owner)` Get general information about opaque and distinct types and detailed information for complex types (except for un-named rows and collections - as these types don't have names)
    `boolean` | `isHDREnabled()` Get information about Informix Server whether it is running in High Availability Data Replication (HDR) mode or not
    `void` | `scrubConnection()` Called to return a connection to its original state.
    `boolean` | `scrubConnectionReleasesAllStatements()` Called to determine if calling scrubConnection() will release all Statements.
    `void` | `setIFX_USEPUT(boolean enable)`

    - ### Methods inherited from interface java.sql.Connection

      `abort, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Method Detail

    - #### getUDTInfo

          IfxUDTInfo getUDTInfo(int xid)
                                throws java.sql.SQLException

      Get general information about opaque and distinct types and detailed information for complex types.

      Parameters:
        `xid` - The extended id.
      Returns:
        The detailed type information as an Informix IfxUDTInfo.
      Throws:
        `java.sql.SQLException`

    - #### getUDTInfo

          IfxUDTInfo getUDTInfo(java.lang.String name,
                              java.lang.String owner)
                                throws java.sql.SQLException

      Get general information about opaque and distinct types and detailed information for complex types (except for un-named rows and collections - as these types don't have names)

      Parameters:
        `name` - The data type name.
        `owner` - The owner of the data type (can be null).
      Returns:
        The detailed type information as an Informix IfxUDTInfo.
      Throws:
        `java.sql.SQLException`

    - #### getSQLStatementOffset

          int getSQLStatementOffset()

      Get the error offset of last executed/prepared SQL statement

      Returns:
        offset of the error into the SQL Statement

    - #### isHDREnabled

          boolean isHDREnabled()
                               throws java.sql.SQLException

      Get information about Informix Server whether it is running in High Availability Data Replication (HDR) mode or not

      Returns:
        boolean TRUE or FALSE value.
      Throws:
        `java.sql.SQLException`

    - #### getHDRType

          java.lang.String getHDRType()
                                      throws java.sql.SQLException

      Get the Server Type information about Informix Server if it is running in High Availability Data Replication (HDR) mode, whether it is running in primary secondary or standard mode

      Returns:
        The server type information.
      Throws:
        `java.sql.SQLException`

    - #### scrubConnection

          void scrubConnection()
                               throws java.sql.SQLException

      Called to return a connection to its original state. scrubConnection() will retain all Statements and reset the connection to its original state. Prior to 2.21.JC3 version, this fuction releases all the Statements and reset the connection to its original state. To determine if Statements are released call scrubConnectionReleasesAllStatements()

      Throws:
        `java.sql.SQLException`

    - #### scrubConnectionReleasesAllStatements

          boolean scrubConnectionReleasesAllStatements()

      Called to determine if calling scrubConnection() will release all Statements.

      Returns:
        true if Statements are released and false otherwise.
      Throws:
        `java.sql.SQLException`

    - #### getIFX_USEPUT

          boolean getIFX_USEPUT()
                                throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setIFX_USEPUT

          void setIFX_USEPUT(boolean enable)
                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`